guix: Update Nyacc to 0.80.42.
[mes.git] / check.sh
index 6312cf08af27a814c7599ff62ae119c4d17054c7..1cab61e6ace166fd8b6a222fd437db9596663241 100755 (executable)
--- a/check.sh
+++ b/check.sh
 
 export GUILE=${GUILE-guile}
 export MES=${MES-./mes}
+#export MES_ARENA=${MES_ARENA-200000000} #9GiB
+
+set -e
+bash check-boot.sh
 
 tests="
+tests/boot.test
 tests/read.test
 tests/base.test
-tests/closure.test
 tests/quasiquote.test
 tests/let.test
+tests/closure.test
 tests/scm.test
 tests/display.test
 tests/cwv.test
@@ -39,15 +44,16 @@ tests/optargs.test
 tests/fluids.test
 tests/catch.test
 tests/record.test
+tests/getopt-long.test
+tests/guile.test
 tests/syntax.test
-tests/pmatch.test
 tests/let-syntax.test
-tests/guile.test
+tests/pmatch.test
+tests/match.test
 tests/psyntax.test
 "
 
-slow="
-tests/match.test
+slow_or_broken="
 tests/peg.test
 "
 
@@ -57,6 +63,10 @@ set +e
 fail=0
 total=0
 for t in $tests; do
+    if [ ! -f $t ]; then
+        echo $t: [SKIP];
+        continue
+    fi
     sh "$t" &> $t.log
     r=$?
     total=$((total+1))